The Joomla! Forum ™



Forum rules


Please use the mailing list here: http://groups.google.com/group/joomla-dev-general rather than this forum.



Forum locked This topic is locked, you cannot edit posts or make further replies.  [ 62 posts ]  Go to page 1, 2, 3  Next

What PHP version are u using ?
Poll runs till Wed Jul 30, 2042 1:39 am
PHP < 4.3 3%  3%  [ 9 ]
PHP 4.3.x 31%  31%  [ 89 ]
PHP 4.4.x 43%  43%  [ 123 ]
PHP 5.x.x 22%  22%  [ 64 ]
Total votes : 285
Author Message
PostPosted: Sun Apr 09, 2006 12:48 am 
User avatar
Joomla! Champion
Joomla! Champion

Joined: Fri Aug 12, 2005 12:47 am
Posts: 6569
The last week we had a discussion among the developers if we should set the minimal system requirements for Joomla! 1.5 to PHP 4.3. Currently we have them set on PHP 4.1. From a technical perspective we would like to raise to PHP 4.3 for a multitude of reasons. To name a few :

    - Security concerns
    - Default support for xml through the DOM XML extension
    - Most AJAX libraries require PHP 4.3
    - The mutlibyte character library 'mbstring' is mature on 4.3
    - Streams support, needed in if we want to support SSL streams

PHP 4.3 was a major release that got alot of important new features and it seems most webhosters have PHP 4.3.10 or 4.4 installed.

We do want to hear your opinion first before making any decisions. Let us know what PHP version u are using ?

_________________
Johan Janssens - Joomla Co-Founder, Lead Developer of Joomla 1.5

http://www.joomlatools.com - Joomla extensions that just work


Last edited by Jinx on Sun Apr 09, 2006 12:53 am, edited 1 time in total.

Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 1:05 am 
User avatar
Joomla! Ace
Joomla! Ace

Joined: Thu Oct 27, 2005 11:20 pm
Posts: 1313
Location: Cairo , Egypt
I use 5 on my localhost , 4.4.1 on the web server .

Jinx wrote:


PHP 4.3 was a major release that got alot of important new features and it seems most webhosters have PHP 4.3.10 or 4.4 installed.




That's quite true , so I see you go and support this version rather than 4.1

Regards Mohammed

_________________
"Joomla! is science made clear."
Mohammed Sh. Abbas  -- Joomla! Fan !!


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 2:02 am 
User avatar
Joomla! Virtuoso
Joomla! Virtuoso

Joined: Sat Sep 24, 2005 11:01 pm
Posts: 4785
Location: Toronto, Canada
4.4.1-pl1 locally and 4.4.2 production.

Ian


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 2:21 am 
User avatar
Joomla! Champion
Joomla! Champion

Joined: Sun Aug 21, 2005 2:25 pm
Posts: 6217
4.4.1 -  on live host
4.4.0 -  on local

Forgive my wrong vote for PHP < 4.3 .. =blame it on hubby emergency distraction.

_________________
Co-author of the Official Joomla! Book http://officialjoomlabook.com
Marpo Multimedia http://marpomultimedia.com


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 4:41 am 
Joomla! Enthusiast
Joomla! Enthusiast

Joined: Tue Aug 30, 2005 7:00 am
Posts: 105
I have several Joomla's installed usind 4.3.4, 4.4.1 and 4.4.2. All on different shared hosting accounts..


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 5:55 am 
Joomla! Guru
Joomla! Guru

Joined: Tue Jan 17, 2006 7:42 am
Posts: 908
I am using php 4.3.11 on several of my livesite.
On the production site i am using php 5.1.1 (XAMPP)  :)


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 6:58 am 
User avatar
Joomla! Master
Joomla! Master

Joined: Fri Aug 12, 2005 3:47 pm
Posts: 17234
Location: **Translation Matters**
[EDit: did not see the Announcement]
We could also ask the partners to make such a poll on their respective local community sites.
My 2 cents.

_________________
Jean-Marie Simonet / infograf · http://www.info-graf.fr
Multilanguage in 2.5: http://help.joomla.org/files/EN-GB_multilang_tutorial.pdf
---------------------------------
Joomla Translation Coordination Team • Joomla! Production Working Group


Last edited by infograf768 on Sun Apr 09, 2006 7:00 am, edited 1 time in total.

Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 7:06 am 
User avatar
Joomla! Master
Joomla! Master

Joined: Thu Aug 18, 2005 9:58 am
Posts: 10095
Location: Hillerød - Denmark
Hi Jinx,

Just checked a series of the most used hosts by the danish Joomla! users:

Danhost.dk: PHP 4.4.2 / DB: 4.0.26 Safe mode = off
CBOX.dk: PHP 4.3.10-16 / DB: 4.0.24 Safe mode = off
Surftown.dk: PHP 4.4.2 / DB 4.0.26 Safe mode = On
Servage.net: PHP 4.4.2 / DB: 4.0.26 (free choise of PHP/DB=5) Safe mode = manually On/off
i123.dk: PHP 4.3.8 / DB: 3.23.58 Safe mode = off

All above running latest J1.0.8

_________________
Ole Bang Ottosen
redCOMPONENT Community Manager http://redcomponent.com
Personligt site www.ot2sen.dk
Dansk Joomla! support websted - joomla.dk


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 7:59 am 
User avatar
Joomla! Explorer
Joomla! Explorer

Joined: Wed Jan 04, 2006 3:28 pm
Posts: 397
Location: Milan, Italy
4.3.10 on localhost and 4.4.2 on my site

_________________
Imagination is more important than knowledge... (Albert Einstein)


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 8:12 am 
User avatar
Joomla! Ace
Joomla! Ace

Joined: Sat Aug 20, 2005 4:41 pm
Posts: 1018
Location: Stockhom, Sweden
Hi,

Sorry, but I pressed the wrong button  :-[
Pressed <4.3  I have 4.4.1

:)

/Chrille

_________________
Moderator Swedish forum


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 8:12 am 
User avatar
Joomla! Explorer
Joomla! Explorer

Joined: Mon Sep 05, 2005 11:21 am
Posts: 338
Location: Nis, Serbia
4.4.1

_________________
http://www.pcigre.com -> game community


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 8:26 am 
User avatar
Joomla! Guru
Joomla! Guru

Joined: Wed Nov 16, 2005 2:02 am
Posts: 588
Location: Breklum - Nordfriesland
4.4.2 and 5.1.2 on customer servers


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 8:32 am 
User avatar
Joomla! Ace
Joomla! Ace

Joined: Thu Aug 18, 2005 1:16 am
Posts: 1015
Location: Glendale, CA, USA
4.4.2

_________________
http://www.virtueshop.net


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 8:47 am 
User avatar
Joomla! Hero
Joomla! Hero

Joined: Thu Aug 25, 2005 5:48 pm
Posts: 2860
Location: Geneva mostly
J-M, I think your idea is good, so it has been applied: http://forum.joomlafacile.com/showthread.php?t=8511
I've set a limit to a day before this one closes, so results will be known. Hope this helps a bit..

_________________
Sometimes one pays most for the things one gets for nothing.
The important thing is not to stop questioning. Curiosity has its own reason for existing. AE
http://joomla15.[URL banned].com for J! 1.5 screenshots
http://www.eyezberg.com


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 9:13 am 
User avatar
Joomla! Enthusiast
Joomla! Enthusiast

Joined: Wed Aug 31, 2005 3:51 pm
Posts: 211
Location: Copenhagen, Denmark
ot2sen wrote:
Hi Jinx,

Just checked a series of the most used hosts by the danish Joomla! users:

Danhost.dk: PHP 4.4.2 / DB: 4.0.26 Safe mode = off
CBOX.dk: PHP 4.3.10-16 / DB: 4.0.24 Safe mode = off
Surftown.dk: PHP 4.4.2 / DB 4.0.26 Safe mode = On
Servage.net: PHP 4.4.2 / DB: 4.0.26 (free choise of PHP/DB=5) Safe mode = manually On/off
i123.dk: PHP 4.3.8 / DB: 3.23.58 Safe mode = off

All above running latest J1.0.8


hi all
In addition to above list I have two sites hosted at

Needhost.dk: PHP 4.3.11 / DB: 4.1.12 Safe mode = Off
UnoEuro.com: PHP 4.3.10 / DB: 4.0.18 Safe mode = On

both sites running Joomla 1.0.8


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 9:39 am 
User avatar
Joomla! Ace
Joomla! Ace

Joined: Wed Sep 21, 2005 9:25 am
Posts: 1548
Location: Thailand
I don't know anyone running < 4.3. 

_________________
Your solution for a single-page checkout on any website.
http://moolah-ecommerce.com


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 12:17 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Sun Apr 09, 2006 8:31 am
Posts: 10
I have PHP 4.4.2 on all of my two hosts.

Some other hosts:

ProInet (Swedish. < 1000 customers): PHP 4.4.2 / Safe mode = off
Surftown (Danish, European. > 150.000 customers): PHP 4.4.2 / Safe mode = on
Loopia (Swedish):  PHP 4.4-series / Safe mode = off
B-One (Danish, European. > 200.000 customers in 149 countries): PHP 4.4.1 and PHP 5.1.1 / Safe mode = on

All in all, it seems like most of the commercial hosts are running > 4.3. In my opinion it would be a shame not add the possibilities of extra features because of what seems to be a small minority of 4.1 users. And if you are running it on your own dedicated server, wouldn't you be prepared to update your PHP when your making the switch from the J! 1.0.X series to J! 1.5? Or am I just an ignorant fool blurting that out?


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 12:57 pm 
User avatar
Joomla! Master
Joomla! Master

Joined: Thu Aug 18, 2005 7:13 am
Posts: 16537
4.3.11 on two production sites, 5.1.2 on localhost. Personally wouldn't mind seeing the minimum PHP version going to 4.3.x.

_________________
Joomla forum global moderator.

Have fun


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 1:56 pm 
Joomla! Enthusiast
Joomla! Enthusiast

Joined: Thu Aug 18, 2005 2:01 pm
Posts: 214
I'm maintaining two installations on 4.3.11 and working on the offline versions on 5.x

_________________
"Speak your truth quietly and clearly; and listen to others; even the dull and ignorant, for they too have their story
...
If you compare yourself with others you may become vain or bitter, for always there will be greater and lesser person than yourself."


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 2:15 pm 
User avatar
Joomla! Explorer
Joomla! Explorer

Joined: Sun Aug 21, 2005 12:06 pm
Posts: 287
Location: Skyttorp, Sweden
SwedeNet.net hosting is using PHP 4.4.1

_________________
http://www.swedenet.net och http://www.swedenet.biz . - Man lär sig av sina misstag, Men det är billigare att lära sig av andras -


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 2:16 pm 
User avatar
Joomla! Ace
Joomla! Ace

Joined: Fri Aug 19, 2005 4:37 am
Posts: 1407
Location: earth
Use 5 on my localhost (but sometimes switch to 4.4.0 ---using XAMPP) , 4.4.2 on most of my web server .

_________________
http://www.id-joomla.com - Indonesian Joomla Community
http://www.templateplazza.com - Joomla Template Club


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 3:03 pm 
User avatar
Joomla! Guru
Joomla! Guru

Joined: Thu Aug 18, 2005 8:53 am
Posts: 830
Location: Switzerland
All hosters I know of use 4.3 at least. Most are planing on updating to either 4.4 or 5.x in the next months.

The others probably went out of business, pledged by hackers...  :laugh:

I think that unless the few ones that clicked "<4.3" in the poll also post good reasons here, we can safely make >= 4.3.x as a prerequisite.

_________________
Beat 8)
www.joomlapolis.com <= Community Builder + CBSubs Joomla membership payment system - team
hosting.joomlapolis.com <= Joomla! Hosting, by the CB Team


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 3:58 pm 
User avatar
Joomla! Guru
Joomla! Guru

Joined: Sun Sep 18, 2005 8:53 am
Posts: 559
Location: Jakarta, Indonesia (GMT +7)
sikumbang wrote:
Use 5 on my localhost (but sometimes switch to 4.4.0 ---using XAMPP) , 4.4.2 on most of my web server .
me too, 5 if i use xampp as my localhost (i was use phptriad with php 4.2.2), and using 4.4.2 on my web server

_________________
.. may the source be with us ..
http://www.apung.web.id


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 7:16 pm 
User avatar
Joomla! Master
Joomla! Master

Joined: Thu Aug 18, 2005 9:58 am
Posts: 10095
Location: Hillerød - Denmark
@Jinx:
We set up a simple form for the danish users at joomla.dk, and output can be seen here:
http://joomla.dk/svarfraundersgelse/ (result updates automatic on new submission)

_________________
Ole Bang Ottosen
redCOMPONENT Community Manager http://redcomponent.com
Personligt site www.ot2sen.dk
Dansk Joomla! support websted - joomla.dk


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 7:36 pm 
User avatar
Joomla! Champion
Joomla! Champion

Joined: Fri Aug 12, 2005 12:47 am
Posts: 6569
Excellent work and great community collaboration !

_________________
Johan Janssens - Joomla Co-Founder, Lead Developer of Joomla 1.5

http://www.joomlatools.com - Joomla extensions that just work


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 7:48 pm 
User avatar
Joomla! Enthusiast
Joomla! Enthusiast

Joined: Mon Dec 26, 2005 2:39 pm
Posts: 222
Location: Västerås, Sweden
I have cut this from my system info:

"Apache/1.3.34 (Unix) PHP/4.4.2 mod_ssl/2.8.25 OpenSSL/0.9.7e"

/Florre

_________________
http://www.grillweb.se - Allt om grillning! Massor med tips och ideér! Sveriges största sajt om grillning och Barbeque.
http://www.tidtagning.se - Tidtagning på simtävlingar!


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 8:29 pm 
User avatar
Joomla! Ace
Joomla! Ace

Joined: Sat Aug 20, 2005 6:56 pm
Posts: 1662
Location: Vendel/Örbyhus
Hi
Local>5.0.3
4.3.11
4.4.1
//Mia

_________________
Man lär så länge man har elever
* Glöm inte att markera ditt första inlägg i tråden som LÖST (den gröna bocken) när du anser att du fått tillräcklig hjälp! *

www.joomlaakuten.se


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 9:16 pm 
User avatar
Joomla! Explorer
Joomla! Explorer

Joined: Thu Sep 01, 2005 11:19 pm
Posts: 273
Location: Minneapolis, USA
Here are the top PHP versions for users of BSQ Sitestats that I've collected via a Phone Home feature that I have:

4.4.2  71
4.3.11 56
4.4.1 55
4.3.10 52
4.4.0 20
5.1.2 12
5.0.5 12
5.0.4 11
4.3.2 11
4.3.4 10
5.1.1 9
4.3.9 5

_________________
Developer, bsq_sitestats module.
www.bs-squared.com


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 9:48 pm 
User avatar
Joomla! Apprentice
Joomla! Apprentice

Joined: Fri Dec 02, 2005 4:22 am
Posts: 23
Why are most hosts running 5> I mean aint that a future of PHP most host seem to still be running php 4>

PHP5 seems to be stable to me .. it just runs.


Top
 Profile  
 
PostPosted: Sun Apr 09, 2006 10:01 pm 
User avatar
Joomla! Ace
Joomla! Ace

Joined: Wed Aug 17, 2005 11:03 pm
Posts: 1388
Location: San Jose, California
Because php5 breaks some older php scripts that people use on their sites

Louis

_________________
Joomla Platform Maintainer
A hacker does for love what others would not do for money.


Top
 Profile  
 
Display posts from previous:  Sort by  
Forum locked This topic is locked, you cannot edit posts or make further replies.  [ 62 posts ]  Go to page 1, 2, 3  Next



Who is online

Users browsing this forum: No registered users and 11 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Jump to:  
Powered by phpBB® Forum Software © phpBB Group